summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--meta/recipes-devtools/qemu/qemu-helper-nativesdk_1.0.bb10
-rwxr-xr-xscripts/oe-buildenv-internal2
-rwxr-xr-xscripts/poky-gen-tapdevs8
-rwxr-xr-xscripts/poky-setup-builddir2
-rw-r--r--scripts/qemuimage-testlib6
-rwxr-xr-xscripts/qemuimage-tests/sanity/boot2
-rwxr-xr-xscripts/qemuimage-tests/sanity/compiler2
-rwxr-xr-xscripts/qemuimage-tests/sanity/connman2
-rwxr-xr-xscripts/qemuimage-tests/sanity/dmesg2
-rwxr-xr-xscripts/qemuimage-tests/sanity/rpm_query2
-rwxr-xr-xscripts/qemuimage-tests/sanity/scp2
-rwxr-xr-xscripts/qemuimage-tests/sanity/shutdown2
-rwxr-xr-xscripts/qemuimage-tests/sanity/ssh2
-rwxr-xr-xscripts/qemuimage-tests/sanity/zypper_help2
-rwxr-xr-xscripts/qemuimage-tests/sanity/zypper_search2
-rwxr-xr-xscripts/runqemu (renamed from scripts/poky-qemu)4
-rwxr-xr-xscripts/runqemu-ifdown (renamed from scripts/poky-qemu-ifdown)6
-rwxr-xr-xscripts/runqemu-ifup (renamed from scripts/poky-qemu-ifup)8
-rwxr-xr-xscripts/runqemu-internal (renamed from scripts/poky-qemu-internal)4
-rw-r--r--scripts/runqemu.README (renamed from scripts/poky-qemu.README)8
20 files changed, 39 insertions, 39 deletions
diff --git a/meta/recipes-devtools/qemu/qemu-helper-nativesdk_1.0.bb b/meta/recipes-devtools/qemu/qemu-helper-nativesdk_1.0.bb
index 18d278db7a..effcabaf40 100644
--- a/meta/recipes-devtools/qemu/qemu-helper-nativesdk_1.0.bb
+++ b/meta/recipes-devtools/qemu/qemu-helper-nativesdk_1.0.bb
@@ -6,15 +6,15 @@ PR = "r9"
6FILESPATH = "${FILE_DIRNAME}/qemu-helper" 6FILESPATH = "${FILE_DIRNAME}/qemu-helper"
7 7
8LIC_FILES_CHKSUM = "file://${WORKDIR}/tunctl.c;endline=4;md5=ff3a09996bc5fff6bc5d4e0b4c28f999 \ 8LIC_FILES_CHKSUM = "file://${WORKDIR}/tunctl.c;endline=4;md5=ff3a09996bc5fff6bc5d4e0b4c28f999 \
9 file://${POKYBASE}/scripts/poky-qemu;endline=18;md5=ce52af3dd295e20ad1d849611b83690b" 9 file://${POKYBASE}/scripts/runqemu;endline=18;md5=ce52af3dd295e20ad1d849611b83690b"
10 10
11 11
12SRC_URI = "file://${POKYBASE}/scripts/poky-qemu \ 12SRC_URI = "file://${POKYBASE}/scripts/runqemu \
13 file://${POKYBASE}/scripts/poky-qemu-internal \ 13 file://${POKYBASE}/scripts/runqemu-internal \
14 file://${POKYBASE}/scripts/poky-addptable2image \ 14 file://${POKYBASE}/scripts/poky-addptable2image \
15 file://${POKYBASE}/scripts/poky-gen-tapdevs \ 15 file://${POKYBASE}/scripts/poky-gen-tapdevs \
16 file://${POKYBASE}/scripts/poky-qemu-ifup \ 16 file://${POKYBASE}/scripts/runqemu-ifup \
17 file://${POKYBASE}/scripts/poky-qemu-ifdown \ 17 file://${POKYBASE}/scripts/runqemu-ifdown \
18 file://${POKYBASE}/scripts/poky-find-native-sysroot \ 18 file://${POKYBASE}/scripts/poky-find-native-sysroot \
19 file://${POKYBASE}/scripts/poky-extract-sdk \ 19 file://${POKYBASE}/scripts/poky-extract-sdk \
20 file://${POKYBASE}/scripts/poky-export-rootfs \ 20 file://${POKYBASE}/scripts/poky-export-rootfs \
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
index 03b078f299..7e77e43df6 100755
--- a/scripts/oe-buildenv-internal
+++ b/scripts/oe-buildenv-internal
@@ -51,7 +51,7 @@ fi
51PATH="${OEROOT}/scripts:$BITBAKEDIR/bin/:$PATH" 51PATH="${OEROOT}/scripts:$BITBAKEDIR/bin/:$PATH"
52unset BITBAKEDIR 52unset BITBAKEDIR
53 53
54# Used by the poky-qemu script 54# Used by the runqemu script
55export BUILDDIR 55export BUILDDIR
56export PATH 56export PATH
57 57
diff --git a/scripts/poky-gen-tapdevs b/scripts/poky-gen-tapdevs
index 2117a7b08e..527c01e7b4 100755
--- a/scripts/poky-gen-tapdevs
+++ b/scripts/poky-gen-tapdevs
@@ -1,7 +1,7 @@
1#!/bin/bash 1#!/bin/bash
2# 2#
3# Create a "bank" of tap network devices that can be used by the 3# Create a "bank" of tap network devices that can be used by the
4# poky-qemu script. This script needs to be run as root, and will 4# runqemu script. This script needs to be run as root, and will
5# use the tunctl binary from a Poky sysroot. Note: many Linux distros 5# use the tunctl binary from a Poky sysroot. Note: many Linux distros
6# these days still use an older version of tunctl which does not 6# these days still use an older version of tunctl which does not
7# support the group permissions option, hence the need to use Poky's 7# support the group permissions option, hence the need to use Poky's
@@ -51,9 +51,9 @@ if [[ ! -x "$TUNCTL" || -d "$TUNCTL" ]]; then
51fi 51fi
52 52
53SCRIPT_DIR=`dirname $0` 53SCRIPT_DIR=`dirname $0`
54POKY_QEMU_IFUP="$SCRIPT_DIR/poky-qemu-ifup" 54POKY_QEMU_IFUP="$SCRIPT_DIR/runqemu-ifup"
55if [ ! -x "$POKY_QEMU_IFUP" ]; then 55if [ ! -x "$POKY_QEMU_IFUP" ]; then
56 echo "Error: Unable to find the poky-qemu-ifup script in $SCRIPT_DIR" 56 echo "Error: Unable to find the runqemu-ifup script in $SCRIPT_DIR"
57 exit 1 57 exit 1
58fi 58fi
59 59
@@ -79,7 +79,7 @@ for ((index=0; index < $COUNT; index++)); do
79 fi 79 fi
80done 80done
81 81
82# The poky-qemu script will check for this file, and if it exists, 82# The runqemu script will check for this file, and if it exists,
83# will use the existing bank of tap devices without creating 83# will use the existing bank of tap devices without creating
84# additional ones via sudo. 84# additional ones via sudo.
85touch /etc/poky-nosudo 85touch /etc/poky-nosudo
diff --git a/scripts/poky-setup-builddir b/scripts/poky-setup-builddir
index d6e5353621..5890eb0da3 100755
--- a/scripts/poky-setup-builddir
+++ b/scripts/poky-setup-builddir
@@ -108,6 +108,6 @@ Common targets are:
108 meta-toolchain 108 meta-toolchain
109 meta-toolchain-sdk 109 meta-toolchain-sdk
110 110
111You can also run generated qemu images with a command like 'poky-qemu qemux86' 111You can also run generated qemu images with a command like 'runqemu qemux86'
112 112
113EOM 113EOM
diff --git a/scripts/qemuimage-testlib b/scripts/qemuimage-testlib
index 720ee8f407..c3cf7c1ec2 100644
--- a/scripts/qemuimage-testlib
+++ b/scripts/qemuimage-testlib
@@ -395,11 +395,11 @@ Test_Create_Qemu()
395 local ret=1 395 local ret=1
396 local up_time=0 396 local up_time=0
397 397
398 which poky-qemu 398 which runqemu
399 if [ $? -eq 0 ]; then 399 if [ $? -eq 0 ]; then
400 RUNQEMU=`which poky-qemu` 400 RUNQEMU=`which runqemu`
401 else 401 else
402 Test_Error "Can not find poky-qemu in \$PATH, return fail" 402 Test_Error "Can not find runqemu in \$PATH, return fail"
403 exit 1 403 exit 1
404 fi 404 fi
405 405
diff --git a/scripts/qemuimage-tests/sanity/boot b/scripts/qemuimage-tests/sanity/boot
index b75b9b9285..d3414d33d3 100755
--- a/scripts/qemuimage-tests/sanity/boot
+++ b/scripts/qemuimage-tests/sanity/boot
@@ -1,7 +1,7 @@
1#!/bin/bash 1#!/bin/bash
2# 2#
3# Boot Test Case for Sanity Test 3# Boot Test Case for Sanity Test
4# The case boot up the Qemu target with `poky-qemu qemuxxx`. 4# The case boot up the Qemu target with `runqemu qemuxxx`.
5# Then check if qemu and qemu network is up. 5# Then check if qemu and qemu network is up.
6# 6#
7# Author: Jiajun Xu <jiajun.xu@intel.com> 7# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/compiler b/scripts/qemuimage-tests/sanity/compiler
index 29dbfd9bb9..d224f33571 100755
--- a/scripts/qemuimage-tests/sanity/compiler
+++ b/scripts/qemuimage-tests/sanity/compiler
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Compiler Test Case for Sanity Test 2# Compiler Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if gcc/g++/make command can work in target. 4# Then check if gcc/g++/make command can work in target.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/connman b/scripts/qemuimage-tests/sanity/connman
index fca6a27845..d46ef0a890 100755
--- a/scripts/qemuimage-tests/sanity/connman
+++ b/scripts/qemuimage-tests/sanity/connman
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Conmman Check Test Case for Sanity Test 2# Conmman Check Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if connman can work in target. 4# Then check if connman can work in target.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/dmesg b/scripts/qemuimage-tests/sanity/dmesg
index 5ed31b735f..06a99485ca 100755
--- a/scripts/qemuimage-tests/sanity/dmesg
+++ b/scripts/qemuimage-tests/sanity/dmesg
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Dmesg Check Test Case for Sanity Test 2# Dmesg Check Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if there is any error log in dmesg. 4# Then check if there is any error log in dmesg.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/rpm_query b/scripts/qemuimage-tests/sanity/rpm_query
index 08017ffbe6..d42c4c49be 100755
--- a/scripts/qemuimage-tests/sanity/rpm_query
+++ b/scripts/qemuimage-tests/sanity/rpm_query
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# RPM Check Test Case for Sanity Test 2# RPM Check Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if rpm command can work in target. 4# Then check if rpm command can work in target.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/scp b/scripts/qemuimage-tests/sanity/scp
index c72cdc9d65..ce7279cdf8 100755
--- a/scripts/qemuimage-tests/sanity/scp
+++ b/scripts/qemuimage-tests/sanity/scp
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# SCP Test Case for Sanity Test 2# SCP Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if file can be copied into target with scp command. 4# Then check if file can be copied into target with scp command.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/shutdown b/scripts/qemuimage-tests/sanity/shutdown
index bc08cf0fdc..22662ab257 100755
--- a/scripts/qemuimage-tests/sanity/shutdown
+++ b/scripts/qemuimage-tests/sanity/shutdown
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Shutdown Test Case for Sanity Test 2# Shutdown Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if target can shutdown 4# Then check if target can shutdown
5# For qemux86/x86-64, we use command "poweroff" for target shutdown 5# For qemux86/x86-64, we use command "poweroff" for target shutdown
6# For non-x86 targets, we use command "reboot" for target shutdown 6# For non-x86 targets, we use command "reboot" for target shutdown
diff --git a/scripts/qemuimage-tests/sanity/ssh b/scripts/qemuimage-tests/sanity/ssh
index 2a0e934392..e4a20dc73d 100755
--- a/scripts/qemuimage-tests/sanity/ssh
+++ b/scripts/qemuimage-tests/sanity/ssh
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# SSH Test Case for Sanity Test 2# SSH Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if ssh service in qemu is up. 4# Then check if ssh service in qemu is up.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/zypper_help b/scripts/qemuimage-tests/sanity/zypper_help
index 1ab6d2407f..6dafe5e1fd 100755
--- a/scripts/qemuimage-tests/sanity/zypper_help
+++ b/scripts/qemuimage-tests/sanity/zypper_help
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Zypper Check Test Case for Sanity Test 2# Zypper Check Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if zypper command can work in target. 4# Then check if zypper command can work in target.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/qemuimage-tests/sanity/zypper_search b/scripts/qemuimage-tests/sanity/zypper_search
index d6bcd27a34..b96cbdad66 100755
--- a/scripts/qemuimage-tests/sanity/zypper_search
+++ b/scripts/qemuimage-tests/sanity/zypper_search
@@ -1,6 +1,6 @@
1#!/bin/bash 1#!/bin/bash
2# Zypper Check Test Case for Sanity Test 2# Zypper Check Test Case for Sanity Test
3# The case boot up the Qemu target with `poky-qemu qemuxxx`. 3# The case boot up the Qemu target with `runqemu qemuxxx`.
4# Then check if zypper command can work in target. 4# Then check if zypper command can work in target.
5# 5#
6# Author: Jiajun Xu <jiajun.xu@intel.com> 6# Author: Jiajun Xu <jiajun.xu@intel.com>
diff --git a/scripts/poky-qemu b/scripts/runqemu
index c76b3ab7b6..d155b561f1 100755
--- a/scripts/poky-qemu
+++ b/scripts/runqemu
@@ -267,7 +267,7 @@ setup_tmpdir() {
267 type -P bitbake &>/dev/null || { 267 type -P bitbake &>/dev/null || {
268 echo "In order for this script to dynamically infer paths"; 268 echo "In order for this script to dynamically infer paths";
269 echo "to kernels or filesystem images, you either need"; 269 echo "to kernels or filesystem images, you either need";
270 echo "bitbake in your PATH or to source poky-init-build-env"; 270 echo "bitbake in your PATH or to source oe-init-build-env";
271 echo "before running this script" >&2; 271 echo "before running this script" >&2;
272 exit 1; } 272 exit 1; }
273 273
@@ -394,6 +394,6 @@ if [ "$libgl" != 'yes' ]; then
394 exit 1; 394 exit 1;
395fi 395fi
396 396
397INTERNAL_SCRIPT=`which poky-qemu-internal` 397INTERNAL_SCRIPT=`which runqemu-internal`
398 398
399. $INTERNAL_SCRIPT 399. $INTERNAL_SCRIPT
diff --git a/scripts/poky-qemu-ifdown b/scripts/runqemu-ifdown
index bc90a9c12d..99613416c7 100755
--- a/scripts/poky-qemu-ifdown
+++ b/scripts/runqemu-ifdown
@@ -8,8 +8,8 @@
8# the following to your /etc/sudoers file to be able to run this 8# the following to your /etc/sudoers file to be able to run this
9# command without entering your password each time: 9# command without entering your password each time:
10# 10#
11# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup 11# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
12# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown 12# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
13# 13#
14# Copyright (c) 2006-2010 Intel Corp. 14# Copyright (c) 2006-2010 Intel Corp.
15# 15#
@@ -31,7 +31,7 @@ usage() {
31} 31}
32 32
33if [ $EUID -ne 0 ]; then 33if [ $EUID -ne 0 ]; then
34 echo "Error: This script (poky-qemu-ifdown) must be run with root privileges" 34 echo "Error: This script (runqemu-ifdown) must be run with root privileges"
35 exit 1 35 exit 1
36fi 36fi
37 37
diff --git a/scripts/poky-qemu-ifup b/scripts/runqemu-ifup
index f82848ccce..c963af5df9 100755
--- a/scripts/poky-qemu-ifup
+++ b/scripts/runqemu-ifup
@@ -10,12 +10,12 @@
10# the following to your /etc/sudoers file to be able to run this 10# the following to your /etc/sudoers file to be able to run this
11# command without entering your password each time: 11# command without entering your password each time:
12# 12#
13# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifup 13# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifup
14# <my-username> ALL=NOPASSWD: /path/to/poky-qemu-ifdown 14# <my-username> ALL=NOPASSWD: /path/to/runqemu-ifdown
15# 15#
16# If you'd like to create a bank of tap devices at once, you should use 16# If you'd like to create a bank of tap devices at once, you should use
17# the poky-gen-tapdevs script instead. If tap devices are set up using 17# the poky-gen-tapdevs script instead. If tap devices are set up using
18# that script, the poky-qemu script will never end up calling this 18# that script, the runqemu script will never end up calling this
19# script. 19# script.
20# 20#
21# Copyright (c) 2006-2010 Intel Corp. 21# Copyright (c) 2006-2010 Intel Corp.
@@ -38,7 +38,7 @@ usage() {
38} 38}
39 39
40if [ $EUID -ne 0 ]; then 40if [ $EUID -ne 0 ]; then
41 echo "Error: This script (poky-qemu-ifup) must be run with root privileges" 41 echo "Error: This script (runqemu-ifup) must be run with root privileges"
42 exit 1 42 exit 1
43fi 43fi
44 44
diff --git a/scripts/poky-qemu-internal b/scripts/runqemu-internal
index c88d71178b..206e1cfe8a 100755
--- a/scripts/poky-qemu-internal
+++ b/scripts/runqemu-internal
@@ -88,8 +88,8 @@ fi
88# sudo. 88# sudo.
89NOSUDO_FLAG="/etc/poky-nosudo" 89NOSUDO_FLAG="/etc/poky-nosudo"
90 90
91QEMUIFUP=`which poky-qemu-ifup` 91QEMUIFUP=`which runqemu-ifup`
92QEMUIFDOWN=`which poky-qemu-ifdown` 92QEMUIFDOWN=`which runqemu-ifdown`
93 93
94NFSRUNNING="false" 94NFSRUNNING="false"
95 95
diff --git a/scripts/poky-qemu.README b/scripts/runqemu.README
index ecceae9784..12f1191ab7 100644
--- a/scripts/poky-qemu.README
+++ b/scripts/runqemu.README
@@ -3,15 +3,15 @@ Poky images with QEMU
3 3
4Poky can generate qemu bootable kernels and images with can be used 4Poky can generate qemu bootable kernels and images with can be used
5on a desktop system. Both arm and x86 images can currently be booted. 5on a desktop system. Both arm and x86 images can currently be booted.
6There are two scripts, runqemu and poky-qemu, one for use within poky, 6There are two scripts, runqemu and runqemu, one for use within poky,
7the other externally. 7the other externally.
8 8
9QEMU outside Poky (poky-qemu) 9QEMU outside Poky (runqemu)
10============================= 10=============================
11 11
12The poky-qemu script is run as: 12The runqemu script is run as:
13 13
14 MACHINE=<machine> poky-qemu <zimage> <filesystem> 14 MACHINE=<machine> runqemu <zimage> <filesystem>
15 15
16where: 16where:
17 17